<div class="container">
    <p>iCarePro&#8217;s experts exclusively repair and upgrade all makes and models of Apple iPods, iPod Touches, iPads, iPhones, and Mac computers at all our iCarePro locations. You won&#8217;t have to call ahead for Apple device repair when you come to iCarePro. No appointment is needed and most Apple iPad, iPod and iPhone repairs can be done same day while you wait. Some <a title="iPhone Repairs" href="/devices/iphone">iPhone repairs</a> are even done in a matter of minutes! We guarantee, in most cases, you&#8217;ll know how long your repair will take, and how much it will cost, within minutes of walking in the door. We only use the Highest Quality parts, and most Apple device repairs offer warranties up to one year! iHospital can take care of all of your iPod, iPad, iPhone and Mac repair and <a title="Upgrade" href="/devices/mac/upgrades">upgrade</a> needs from A to Z. Our catalog of services includes (but isn&#8217;t limited to):</p>
    <table>
        <tbody>
            <tr>
                <td>
                    <ul class="ul-arrow">
                        <li>Screen replacement</li>
                        <li>Battery repair and replacement</li>
                        <li>Headphone Jack repair and replacement</li>
                        <li>Digitizer repair and replacement</li>
                    </ul>
                </td>
                <td>
                    <ul class="ul-arrow">
                        <li>RAM (Memory) replacement</li>
                        <li>Hard Drive/Solid State Drive repair and replacement</li>
                        <li>Liquid/Water damage repair</li>
                        <li>Vibrate switches</li>
                    </ul>
                </td>
            </tr>
        </tbody>
    </table>
    
</div>